ListAssetFilters
Lists asset filters.
Prerequisites:
-
A valid domain and asset must exist.
-
The asset must have at least one filter created to return results.
Request Syntax
GET /v2/domains/domainIdentifier/assets/assetIdentifier/filters?maxResults=maxResults&nextToken=nextToken&status=status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- assetIdentifier
-
The ID of the data asset.
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
- domainIdentifier
-
The ID of the domain where you want to list asset filters.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- maxResults
-
The maximum number of asset filters to return in a single call to
ListAssetFilters. When the number of asset filters to be listed is greater than the value ofMaxResults, the response contains aNextTokenvalue that you can use in a subsequent call toListAssetFiltersto list the next set of asset filters.Valid Range: Minimum value of 1. Maximum value of 50.
- nextToken
-
When the number of asset filters is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of asset filters, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toListAssetFiltersto list the next set of asset filters.Length Constraints: Minimum length of 1. Maximum length of 8192.
- status
-
The status of the asset filter.
Valid Values:
VALID | INVALID
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"items": [
{
"assetId": "string",
"createdAt": number,
"description": "string",
"domainId": "string",
"effectiveColumnNames": [ "string" ],
"effectiveRowFilter": "string",
"errorMessage": "string",
"id": "string",
"name": "string",
"status": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- items
-
The results of the
ListAssetFiltersaction.Type: Array of AssetFilterSummary objects
- nextToken
-
When the number of asset filters is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of asset filters, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toListAssetFiltersto list the next set of asset filters.Type: String
Length Constraints: Minimum length of 1. Maximum length of 8192.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
Examples
Example
This example illustrates one usage of ListAssetFilters.
Sample Request
aws datazone list-asset-filters \
--domain-identifier "dzd_53ielnpxktdilj" \
--asset-identifier "ast7k9mpq2xvn4"
Sample Response
{
"items": [{
"assetId": "ast7k9mpq2xvn4",
"createdAt": 1752651315.63,
"description": "Filter for customer PII data",
"domainId": "dzd_53ielnpxktdilj",
"effectiveColumnNames": [
"customer_id",
"email",
"phone_number",
"address"
],
"id": "flt8p2mq3xvn5",
"name": "customer-pii-filter",
"status": "VALID"
}]
}
Example
Failure case - missing required --asset-identifier:
Sample Request
aws datazone list-asset-filters \
--domain-identifier "dzd_53ielnpxktdilj"
Sample Response
aws: error: the following arguments are required: —asset-identifier
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: